<?php
/**
 * Template part for default header layout.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Fabricator
 */

$header_contact_block_visibility = get_theme_mod( 'header_contact_block_visibility', fabricator_theme()->customizer->get_default( 'header_contact_block_visibility' ) );
$header_btn_visibility           = get_theme_mod( 'header_btn_visibility', fabricator_theme()->customizer->get_default( 'header_btn_visibility' ) );
$search_visible                  = get_theme_mod( 'header_search', fabricator_theme()->customizer->get_default( 'header_search' ) );
?>
<div class="header-container_wrap container">

	<?php if ( $header_contact_block_visibility || $header_btn_visibility ) : ?>
		<div class="header-row__flex header-components__contact-button header-components__grid-elements"><?php
			fabricator_contact_block( 'header' );
			fabricator_header_btn();
		?></div>
	<?php endif; ?>

	<div class="header-container__flex-wrap">
		<div class="header-container__flex">
			<div class="site-branding">
				<?php fabricator_header_logo() ?>
				<?php fabricator_site_description(); ?>
			</div>

			<div class="header-nav-wrapper">
				<?php fabricator_main_menu(); ?>

				<?php if ( $search_visible ) : ?>
					<div class="header-components"><?php
						fabricator_header_search_toggle();
					?></div>
				<?php endif; ?>

			</div>
		</div>

		<?php fabricator_header_search( '<div class="header-search">%s<span class="search-form__close"></span></div>' ); ?>
	</div>
</div>
