<?php
/**
 * TM-Wizard configuration.
 *
 * @var array
 *
 * @package Fabricator
 */

$plugins = array(
	'cherry-data-importer' => array(
		'name'   => esc_html__( 'Cherry Data Importer', 'fabricator' ),
		'source' => 'remote', // 'local', 'remote', 'wordpress' (default).
		'path'   => 'https://github.com/CherryFramework/cherry-data-importer/archive/master.zip',
		'access' => 'base',
	),
	'cherry-projects' => array(
		'name'   => esc_html__( 'Cherry Projects', 'fabricator' ),
		'access' => 'skins',
	),
	'cherry-popups' => array(
		'name'   => esc_html__( 'Cherry PopUps', 'fabricator' ),
		'access' => 'skins',
	),
	'cherry-team-members' => array(
		'name'   => esc_html__( 'Cherry Team Members', 'fabricator' ),
		'access' => 'skins',
	),
	'cherry-testi' => array(
		'name'   => esc_html__( 'Cherry Testimonials', 'fabricator' ),
		'source' => 'local',
		'path'   => get_parent_theme_file_path( 'assets/includes/plugins/cherry-testi.zip' ),
		'access' => 'skins',
	),
	'cherry-search' => array(
		'name'   => esc_html__( 'Cherry Search', 'fabricator' ),
		'access' => 'skins',
	),
	'cherry-services-list' => array(
		'name'   => esc_html__( 'Cherry Services List', 'fabricator' ),
		'access' => 'skins',
	),
	'cherry-sidebars' => array(
		'name'   => esc_html__( 'Cherry Sidebars', 'fabricator' ),
		'access' => 'base',
	),
	'cherry-socialize' => array(
		'name'   => esc_html__( 'Cherry Socialize', 'fabricator' ),
		'access' => 'skins',
	),
	'cherry-trending-posts' => array(
		'name'   => esc_html__( 'Cherry Trending Posts', 'fabricator' ),
		'access' => 'skins',
	),
	'booked' => array(
		'name'   => esc_html__( 'Booked Appointments', 'fabricator' ),
		'source' => 'local',
		'path'   => get_parent_theme_file_path( 'assets/includes/plugins/booked.zip' ),
		'access' => 'skins',
	),
	'elementor' => array(
		'name'   => esc_html__( 'Elementor Page Builder', 'fabricator' ),
		'access' => 'base',
	),
	'jet-elements' => array(
		'name'   => esc_html__( 'Jet Elements addon For Elementor', 'fabricator' ),
		'source' => 'local',
		'path'   => get_parent_theme_file_path( 'assets/includes/plugins/jet-elements.zip' ),
		'access' => 'base',
	),
	'jet-menu' => array(
		'name'   => esc_html__( 'Jet Menu', 'fabricator' ),
		'source' => 'local',
		'path'   => get_parent_theme_file_path( 'assets/includes/plugins/jet-menu.zip' ),
		'access' => 'base',
	),
	'tm-photo-gallery' => array(
		'name'   => esc_html__( 'TM Photo Gallery', 'fabricator' ),
		'access' => 'skins',
	),
	'tm-timeline' => array(
		'name'   => esc_html__( 'TM Timeline', 'fabricator' ),
		'access' => 'skins',
	),
	'contact-form-7' => array(
		'name'   => esc_html__( 'Contact Form 7', 'fabricator' ),
		'access' => 'skins',
	),
	'shortcode-widget' => array(
		'name'   => esc_html__( 'Shortcode Widget', 'fabricator' ),
		'access' => 'skins',
	),
	'wordpress-social-login' => array(
		'name'   => esc_html__( 'WordPress Social Login', 'fabricator' ),
		'access' => 'skins',
	),
);

/**
 * Skins configuration example
 *
 * @var array
 */
$skins = array(
	'base' => array(
		'cherry-data-importer',
		'elementor',
		'jet-elements',
		'cherry-sidebars',
	),
	'advanced' => array(
		'default' => array(
			'full'  => array(
				'cherry-projects',
				'cherry-popups',
				'cherry-team-members',
				'cherry-testi',
				'cherry-search',
				'cherry-services-list',
				'cherry-socialize',
				'cherry-trending-posts',
				'booked',
				'jet-menu',
				'tm-photo-gallery',
				'contact-form-7',
				'shortcode-widget',
				'wordpress-social-login',
			),
			'lite'  => false,
			'demo'  => 'http://ld-wp2.template-help.com/wptheme/fabricator/',
			'thumb' => get_template_directory_uri() . '/assets/demo-content/default/default-thumb.png',
			'name'  => esc_html__( 'Fabricator', 'fabricator' ),
		),


	),
);

$texts = array(
	'theme-name' => 'Fabricator'
);